
function showHideCriteriaComponents(showvalue,doc)
{
	var criteriaobj = MM_findObj('DeviceByCriteria',doc);
	var deviceobj = MM_findObj('SpecificDeviceCriteria',doc);
	if(showvalue == 'SpecificDeviceCriteria')
	{
		criteriaobj.className='hide';
		deviceobj.className='tablerowslight';
	}
	else
	{
		criteriaobj.className='tablerowslight';
		deviceobj.className='hide';
	}
}

function showHideDeviceGroupComponents(showvalue,doc)
{
        var statusViewTableObj = MM_findObj('DeviceGroup',doc);
	var statusEditTableObj = MM_findObj('SpecificDevice',doc);
            
	if(showvalue == 'SpecificDevice')
	{
		statusViewTableObj.className='hide';
		statusEditTableObj.className='tablerowslight';

	}
	else 
	{
		statusViewTableObj.className='tablerowslight';
		statusEditTableObj.className='hide';
	}

        }
function populateDeviceGroupDescr(document)
{
	var selectedDG = "";
	dgselection = document.getElementById("DEVICEGROUPSELECTION");
	if( dgselection.length == 0 )
	{
		return;
	}
	else if( dgselection.selectedIndex != -1 )
	{
		selectedDG = dgselection.value;
	}
	else if( dgselection.length > 0 )
	{
		deselection.options[0].selected = true;
		selectedDG = dgselection.value;
	}
	document.getElementById("DeviceGroupDescription").value = eval("devicegroupdesc.DG"+selectedDG+"ID");
}
function populateDeviceGroupDescr_CR(document)
{
	var selectedDG = "";
	dgselection = document.getElementById("DEVICEGROUPSELECTION"); //No I18N
	if( dgselection.length == 0 )
	{
		return;
	}
	else if( dgselection.selectedIndex != -1 )
	{
		selectedDG = dgselection.value;
	}
	else if( dgselection.length > 0 )
	{
		deselection.options[0].selected = true;
		selectedDG = dgselection.value;
	}
	document.getElementById("DeviceGroupDescription").value = eval("alldevicegroupdesc.DG"+selectedDG+"ID"); //No I18N
}

function addDeviceGroupName(dgname,dgid,desc)
{
    var dgselection = document.getElementById("DEVICEGROUPSELECTION");
    var newOption = new Option(dgname,dgid,true);
    newOption.selected = true;
    dgselection.options[dgselection.length] = newOption;
    child = 'DG'+dgid+'ID';
    devicegroupdesc[child] = desc;
    document.getElementById("DeviceGroupDescription").value = desc;
}

function viewDeviceGroupAssociatedDevices()
{
	var dgselection = document.getElementById("DEVICEGROUPSELECTION");
	if( dgselection.length == 0 )
	{
		alert(I18N.getMsg("js.devicechooser.viewDeviceGroupAssociatedDevices.alert"));
		return;
	}
	selectedDG = dgselection.value;
	url = "NCMDGAssociatedDevicesView.cc?IS_EDIT_VIEW=true&DEVICE_GROUP_ID="+selectedDG;
	var createdloginid = document.getElementById("CREATED_LOGIN_ID");
    if(createdloginid != null && createdloginid.value.length > 0 )
    {
        url += "&CREATED_LOGIN_ID="+createdloginid.value;
    }
	//window.open(url,'_dgassociateddevices','width=750,height=400,scrollbars=yes');
	showURLInDialog(url,'title='+I18N.getMsg("js.devicechooser.viewDeviceGroupAssociatedDevices.title")+',width=900,closePrevious=false'); //No I18N
}

function viewDeviceGroupAssociatedDevicesInNewWindow()
{
	var dgselection = document.getElementById("DEVICEGROUPSELECTION");
	if( dgselection.length == 0 )
	{
		alert(I18N.getMsg("js.devicechooser.viewDeviceGroupAssociatedDevices.alert"));
		return;
	}
	selectedDG = dgselection.value;
	url = "NCMDGAssociatedDevicesView.cc?IS_EDIT_VIEW=true&DEVICE_GROUP_ID="+selectedDG;
	var createdloginid = document.getElementById("CREATED_LOGIN_ID");
    if(createdloginid != null && createdloginid.value.length > 0 )
    {
        url += "&CREATED_LOGIN_ID="+createdloginid.value;
    }
    centrePopup(url,'associateddevices',800,450,0,0);
}

/*
 *	This method should be used for validating the DeviceGroupChooser component
 */
function deviceGroupChooserValidation(form)
{
	selectAllElements(form.SELECTEDDEVICES,true);
	if(form.ComponentSelection[0].checked)
	{
		if(form.SELECTEDDEVICES.length <= 0)
		{       
			alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.1"));
			return false;
		}
	}
	else
	{
		if(form.DEVICEGROUPSELECTION.selectedIndex == -1 )
		{
			alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.2"));
			return false;
		}
	}
	return true;
}

function deviceListChooserValidation(form)
{
    selectAllElements(form.SELECTEDDEVICES,true);
    var role = document.getElementById("roles").value;
    if(role == 'Administrator')
    {
      return true;
    }    
    else
    {   
           if(form.SELECTEDDEVICES.length <= 0)
           {
               alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.1"));
               return false;
           }
          else
           {
               return true;
           }
    }
}

function showHideDeviceList(form)
{
    var deviceList = document.getElementById("devicelist");
    var role = document.getElementById("roles").value;
    if(role == 'Administrator')
    {
        deviceList.className = 'hide';
    }
    else
    {
    	deviceList.className = '';
    }
     
    if(role == 'Administrator' || role == 'PowerUser')
    {
    	document.getElementById("APPROVING_AUTHORITIES_DIV").className = "hide";
    }
    else
    {
    	document.getElementById("APPROVING_AUTHORITIES_DIV").className = "";
    }
    
}

function showMatchingDevices(form)
{
	if(!criteriaChooserValidation(form)) 
	{ 
		return false; 
	} 
	var rowids = form.ROWIDX;
    var queryid = form.QUERYID.value;
	var params = "";
    var is_edit_view = form.IS_EDIT_VIEW.value;
    var dev_grp_id = "NA";
    
   if(is_edit_view=="true")
   {
        dev_grp_id = form.DEVICE_GRP_ID.value;
   }

	for(i=1;i<rowids.length;i++)
	{
		var suffix = rowids[i].value;
		params += "&COMPARATOR_" + suffix + "=" + eval("form.COMPARATOR_"+suffix).value;
		params += "&PARAMETER_" + suffix + "=" + eval("form.PARAMETER_"+suffix).value;
		
		var parammeter = eval("form.PARAMETER_"+suffix).value; //No I18N


                if(parammeter=="MANAGED")
                {
                 var value = eval("form.CONDITION_"+suffix).value; //No I18N
		 var inText = eval("form.PATTERN_"+suffix).value; //No I18N
		 
		if(value!="EQUAL" && value!="NOT_EQUAL")
                 {
                  alert(I18N.getMsg("js.devicechooser.deviceGroupChooserManaged.alert.1"));
                  return;
                  }
		if(inText!="true" && inText!="false" && inText!="TRUE" && inText!="FALSE")
		  {
		  
                  alert(I18N.getMsg("js.devicechooser.deviceGroupChooserManaged.alert.2"));
		  return;
		  }		 

		
                }
		params += "&CONDITION_" + suffix + "=" + eval("form.CONDITION_"+suffix).value;
		params += "&PATTERN_" + suffix + "=" + eval("form.PATTERN_"+suffix).value;
        params += "&ROWIDX=" + suffix;
	}
    params+="&QUERYID="+queryid;
    params+="&DEVICE_GROUP_ID="+dev_grp_id;
    centrePopup('NCMMatchingDevicesView.cc?'+params,'matchingdevices',850,400,0,0);
}

/*
 *	This method should be used for validating the CriteriaChooser component
 */
function criteriaChooserValidation(form)
{
	selectAllElements(form.SELECTEDDEVICES,true);
	if(form.SpecificDevice_Id.checked)
	{
		if(form.SELECTEDDEVICES.length <= 0)
		{       
			alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.1"));
			return false;
		}
	}
	else if(form.DeviceByCriteria_Id.checked)
	{
		if(!validateForm(form))
		{
			return false;
		}
		var rowids = form.ROWIDX;
		for(var i=1;i<rowids.length;i++)
		{
			var patternobj = eval("form.PATTERN_"+rowids[i].value);
			var patternvalue = patternobj.value;

			regex = /\*/
			patternvalue = trimAll(patternvalue)
			var contains_astrix = patternvalue.match(regex);

			if(contains_astrix)
			{
			    patternobj.focus();
			    alert(I18N.getMsg("js.devicechooser.criteriaChooserValidation.alert.2"));
			    return false;
			}

			regex = /\%/
			var contains_percentage = patternvalue.match(regex);
			if(contains_percentage)
			{
			    patternobj.focus();
			    alert(I18N.getMsg("js.devicechooser.criteriaChooserValidation.alert.3"));
			    return false;
			}		
		}
	}
	else
	{
		return false;
	}
	return true;
}

